package com.yunzhupaas.integrate.service;

import com.yunzhupaas.base.ActionResult;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.exception.WorkFlowException;
import com.yunzhupaas.integrate.entity.IntegrateEntity;
import com.yunzhupaas.integrate.model.integrate.IntegratePagination;

import java.util.List;

public interface IntegrateService extends SuperService<IntegrateEntity> {

    List<IntegrateEntity> getList(IntegratePagination pagination);

    List<IntegrateEntity> getList(IntegratePagination pagination, boolean isPage);

    IntegrateEntity getInfo(String id);

    Boolean isExistByFullName(String fullName, String id);

    Boolean isExistByEnCode(String encode, String id);

    void create(IntegrateEntity entity);

    ActionResult ImportData(IntegrateEntity entity, Integer type) throws WorkFlowException;

    Boolean update(String id, IntegrateEntity entity,boolean state);

    void delete(IntegrateEntity entity);

}

